<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">

  <link rel="stylesheet" href="assets/css/variables.css">
  <link rel="stylesheet" href="assets/css/nativize.css">
  <link rel="stylesheet" href="assets/css/global.css">
  <link rel="stylesheet" href="assets/css/about.css">
  <link rel="stylesheet" href="assets/css/nav.css">
  <link rel="stylesheet" href="assets/css/section.css">
  <link rel="stylesheet" href="assets/css/demo.css">
  <link rel="stylesheet" href="assets/css/github.css">

  <!-- CASTORPOUTINE custom css -->
  <link href="fontawesome/css/all.css" rel="stylesheet">
  <link href="fontawesome/css/all.css" rel="stylesheet">

  <link rel="stylesheet" href="./assets/jquery.fancytree/skin-win8/ui.fancytree.css">
<!--
<i class="fas fa-user"></i>  uses solid style
<i class="far fa-user"></i>  uses regular style
<i class="fal fa-user"></i> uses light style  brand icon
<i class="fab fa-github-square"></i>  uses brands style
-->

  <link rel="import" href="sections/about.html">
  <link rel="import" href="sections/windows/windows.html">
  <link rel="import" href="sections/windows/load-run.html">
  <link rel="import" href="sections/windows/process-environment.html">
  <link rel="import" href="sections/windows/backup-restore.html">
  <link rel="import" href="sections/windows/load-nodedeploy.html">
  <link rel="import" href="sections/windows/backup-restore.html">

</head>
<body>

  <nav class="nav js-nav">
    <header class="nav-header">
      <h1 class="nav-title">CASTOR<strong>POUTINE</strong></h1>
      <img src="assets/app-icon/png/128.png"/>
    </header>

    <div class="nav-item u-category-windows">
      <h5 class="nav-category">
        <svg class="nav-icon"><use xlink:href="assets/img/icons.svg#icon-windows"></use></svg>
        Configurations
      </h5>
      <button type="button" id="button-windows" data-section="windows" class="nav-button">Create & Configure</button>
      <button type="button" id="button-load-run" data-section="load-run" class="nav-button">Load & Run</button>
      <button type="button" id="button-crash-hang" data-section="backup-restore" class="nav-button">Backup & Restore</button>
      <h5 class="nav-category">
        <svg class="nav-icon"><use xlink:href="assets/img/icons.svg#icon-menu"></use></svg>
        Nodes
      </h5>
      <button type="button" id="button-load-nodedeploy" data-section="load-nodedeploy" class="nav-button">Deployment & Status</button>
      <button type="button" id="button-realtime-logging" data-section="load-run" class="nav-button">Realtime Logging</button>
      <h5 class="nav-category">
        <svg class="nav-icon"><use xlink:href="assets/img/icons.svg#icon-communication"></use></svg>
        Processes
      </h5>
      <button type="button" id="button-process-env" data-section="load-run" class="nav-button">Process & Environment</button>
    </div>
    
    <footer class="nav-footer">
      <button type="button" id="button-about" data-modal="about" class="nav-footer-button">About</button>
      <a class="nav-footer-logo" href="https://github.com" aria-label="Homepage">
        <svg class="nav-footer-icon"><use xlink:href="assets/img/icons.svg#icon-love"></use></svg>
      </a>
    </footer>
  </nav>

  <main class="content js-content"></main>

  <script>
    require('./assets/imports')
    require('./assets/ex-links')
    require('./assets/nav')
    require('./assets/demo-btns')
    require('./assets/code-blocks')
    require('./assets/normalize-shortcuts')
  </script>
</body>
</html>
